be.cin.mycarenet._1_0.carenet.types

## Class GeneralSituation

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.GeneralSituation

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class GeneralSituation
      extends Object
      implements Serializable

  Java class for GeneralSituationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GeneralSituationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="2" minOccurs="0">
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}Transfer"/>
             </sequence>
             <attribute name="Event" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}EventType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneralSituation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventType` | `getEvent()` Gets the value of the event property.
    `List<Transfer>` | `getTransfers()` Gets the value of the transfers property.
    `void` | `setEvent(EventType value)` Sets the value of the event property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralSituation

          public GeneralSituation()

  - ### Method Detail

    - #### getTransfers

          public List<Transfer> getTransfers()

      Gets the value of the transfers property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transfers property.

      For example, to add a new item, do as follows:

              getTransfers().add(newItem);

      Objects of the following type(s) are allowed in the list `Transfer`

    - #### getEvent

          public EventType getEvent()

      Gets the value of the event property.
      Returns:
        possible object is `EventType`

    - #### setEvent

          public void setEvent(EventType value)

      Sets the value of the event property.
      Parameters:
        `value` - allowed object is `EventType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.